'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0e20a87a.js');
const defaultIconPack = require('./default-icon-pack-d94ddba8.js');
const index$1 = require('./index-211dabb8.js');

const dyteChatToggleCss = ":host{position:relative;display:block;font-family:var(--dyte-font-family, sans-serif)}.unread-count{position:absolute;right:var(--dyte-space-3, 12px);-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-brand-500, 33 96 253) / var(--tw-bg-opacity));font-size:12px;display:flex;height:var(--dyte-space-5, 20px);width:var(--dyte-space-5, 20px);align-items:center;justify-content:center;border-radius:9999px}";

const DyteChatToggle = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    this.lastMessageCount = 0;
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.chatActive = false;
    this.unreadMessageCount = 0;
    this.toggleChat = () => {
      this.chatActive = !(this.states.activeSidebar && this.states.sidebar === 'chat');
      this.unreadMessageCount = 0;
      this.lastMessageCount = this.meeting.chat.messages.length;
      this.stateUpdate.emit({
        activeSidebar: this.chatActive,
        sidebar: this.chatActive ? 'chat' : 'none',
      });
    };
  }
  connectedCallback() {
    this.statesChanged(this.states);
    this.meetingChanged(this.meeting);
  }
  meetingChanged(meeting) {
    if (meeting != null) {
      this.chatUpdateListener = ({ message }) => {
        if (message != null) {
          const diff = meeting.chat.messages.length - this.lastMessageCount;
          if (!this.chatActive) {
            this.unreadMessageCount = diff;
          }
          else {
            this.lastMessageCount = meeting.chat.messages.length;
          }
        }
      };
      this.unreadMessageCount = meeting.chat.messages.length;
      meeting.chat.addListener('chatUpdate', this.chatUpdateListener);
    }
  }
  statesChanged(states) {
    if (states != null) {
      this.chatActive = this.states.activeSidebar && this.states.sidebar === 'chat';
    }
  }
  render() {
    return (index.h(index.Host, { title: this.t('chat') }, this.unreadMessageCount !== 0 && !this.chatActive && (index.h("div", { class: "unread-count" }, index.h("span", null, this.unreadMessageCount))), index.h("dyte-controlbar-button", { class: { active: this.chatActive }, size: this.size, onClick: this.toggleChat, icon: this.iconPack.chat, label: this.t('chat') })));
  }
  static get watchers() { return {
    "meeting": ["meetingChanged"],
    "states": ["statesChanged"]
  }; }
};
DyteChatToggle.style = dyteChatToggleCss;

exports.dyte_chat_toggle = DyteChatToggle;
