'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0e20a87a.js');
const string = require('./string-d17dee1d.js');
const index$1 = require('./index-211dabb8.js');

const dyteNameTagCss = ":host{display:inline-flex;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;align-items:center;padding-top:var(--dyte-space-1, 4px);padding-bottom:var(--dyte-space-1, 4px);padding-left:var(--dyte-space-1\\.5, 6px);padding-right:var(--dyte-space-1\\.5, 6px);font-size:14px;border-radius:var(--dyte-border-radius-sm, 4px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-700, 44 44 44) / var(--tw-bg-opacity));color:rgb(var(--dyte-colors-text-900, 255 255 255 / 0.88))}::slotted(dyte-audio-visualizer[slot='start']){margin-right:var(--dyte-space-1\\.5, 6px)}::slotted(dyte-audio-visualizer[slot='end']){margin-left:var(--dyte-space-1\\.5, 6px)}:host([size='sm']){font-size:14px}";

const DyteNameTag = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Maximum length of the name */
    this.maxLength = 20;
    /** Language */
    this.t = index$1.useLanguage();
  }
  render() {
    const name = string.formatName(this.peer.name);
    const isSelf = this.peer.id === this.meeting.self.id;
    return (index.h(index.Host, { class: { [this.size]: this.size !== undefined }, title: name }, index.h("slot", { name: "start" }), isSelf ? `${string.shorten(name, 13)} (${this.t('you')})` : string.shorten(name, 16), index.h("slot", { name: "end" })));
  }
};
DyteNameTag.style = dyteNameTagCss;

exports.dyte_name_tag = DyteNameTag;
