import { Component, Host, h, Prop, Watch, State } from '@stencil/core';
export class DyteMeetingTitle {
  constructor() {
    this.title = '';
  }
  connectedCallback() {
    this.meetingChanged(this.meeting);
  }
  meetingChanged(meeting) {
    if (meeting != null) {
      // update title
      this.title = meeting.meta.meetingTitle;
    }
  }
  render() {
    return (h(Host, { tabIndex: 0, role: "banner", "aria-label": this.title },
      h("dyte-tooltip", { label: this.title },
        h("div", { class: "title" }, this.title))));
  }
  static get is() { return "dyte-meeting-title"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["dyte-meeting-title.css"]
  }; }
  static get styleUrls() { return {
    "$": ["dyte-meeting-title.css"]
  }; }
  static get properties() { return {
    "meeting": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Meeting",
        "resolved": "DyteClient",
        "references": {
          "Meeting": {
            "location": "import",
            "path": "../../types/dyte-client"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Meeting object"
      }
    }
  }; }
  static get states() { return {
    "title": {}
  }; }
  static get watchers() { return [{
      "propName": "meeting",
      "methodName": "meetingChanged"
    }]; }
}
