import { h } from '@stencil/core';
const URLRegEx = /(https?:\/\/[^\s]+)/;
const formatMessage = (text) => {
  const words = text.split(' ');
  const lastIndex = words.length - 1;
  return words.map((word, index) => {
    if (URLRegEx.test(word)) {
      return (h("span", null,
        h("a", { href: word, target: "_blank", rel: "noopener noreferrer" }, word),
        index !== lastIndex ? ' ' : ''));
    }
    return `${word}${index !== lastIndex ? ' ' : ''}`;
  });
};
export const TextMessageView = ({ message }) => {
  const lines = message.split('\n');
  return lines.map((line) => h("p", null, formatMessage(line)));
};
