import gracefulStorage from './graceful-storage';
const KEY = 'dyte-prefs';
export const setPreference = (key, value) => {
  const data = JSON.parse(gracefulStorage.getItem(KEY) || '{}');
  data[key] = JSON.stringify(value);
  gracefulStorage.setItem('dyte-prefs', JSON.stringify(data));
};
export const getPreference = (key) => {
  const data = JSON.parse(gracefulStorage.getItem(KEY) || '{}');
  return data[key];
};
export const getUserPreferences = () => {
  const prefs = JSON.parse(gracefulStorage.getItem(KEY) || '{}');
  const mirrorVideo = prefs['mirror-video'] === 'true';
  const muteNotificationSounds = prefs['mute-notification-sounds'] === 'true';
  return { mirrorVideo, muteNotificationSounds };
};
