import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { u as useLanguage } from './index2.js';
import { d as defaultIconPack } from './default-icon-pack.js';
import { d as defineCustomElement$2 } from './dyte-logo2.js';

const dyteEndedScreenCss = ":host{height:100%;width:100%;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;font-family:var(--dyte-font-family, sans-serif);display:flex;flex-direction:column;align-items:center;justify-content:center}.ctr{display:flex;flex-direction:column;align-items:center}dyte-logo{margin-bottom:var(--dyte-space-8, 32px);height:var(--dyte-space-12, 48px)}.rejoin-button{margin-top:var(--dyte-space-4, 16px);margin-bottom:var(--dyte-space-4, 16px);padding-top:var(--dyte-space-6, 24px);padding-bottom:var(--dyte-space-6, 24px);padding-left:var(--dyte-space-16, 64px);padding-right:var(--dyte-space-16, 64px)}.rejoin-icon{margin-right:var(--dyte-space-2, 8px)}p{font-size:16px;border-radius:var(--dyte-border-radius-lg, 12px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-800, 30 30 30) / var(--tw-bg-opacity));padding-left:var(--dyte-space-8, 32px);padding-right:var(--dyte-space-8, 32px);padding-top:var(--dyte-space-4, 16px);padding-bottom:var(--dyte-space-4, 16px);color:rgb(var(--dyte-colors-text-1000, 255 255 255))}span{margin-top:var(--dyte-space-4, 16px);margin-bottom:var(--dyte-space-4, 16px);font-size:14px}";

const DyteEndedScreen$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** Icon */
    this.icon = defaultIconPack;
    /** Language */
    this.t = useLanguage();
    this.message = '';
  }
  connectedCallback() {
    this.statesChanged(this.states);
  }
  statesChanged(states) {
    if (states != null) {
      switch (states.roomLeftState) {
        case 'left':
          this.message = 'You left the meeting';
          break;
        case 'kicked':
          this.message = 'You were removed from the meeting';
          break;
        case 'disconnected':
          this.message = 'The call ended because the connection was lost.';
          break;
        default:
          this.message = 'The meeting ended';
      }
    }
  }
  render() {
    return (h(Host, null, h("div", { class: "ctr" }, h("dyte-logo", { config: this.config }), h("p", null, this.t(this.message)), this.states.roomLeftState === 'disconnected' && (h("span", null, this.t('Please check your internet connection and try again.'))))));
  }
  static get watchers() { return {
    "states": ["statesChanged"]
  }; }
  static get style() { return dyteEndedScreenCss; }
}, [1, "dyte-ended-screen", {
    "config": [16],
    "meeting": [16],
    "size": [513],
    "states": [16],
    "t": [16],
    "icon": [32],
    "message": [32]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-ended-screen", "dyte-logo"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-ended-screen":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteEndedScreen$1);
      }
      break;
    case "dyte-logo":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const DyteEndedScreen = DyteEndedScreen$1;
const defineCustomElement = defineCustomElement$1;

export { DyteEndedScreen, defineCustomElement };
