import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$3 } from './dyte-logo2.js';
import { d as defineCustomElement$2 } from './dyte-spinner2.js';

const dyteIdleScreenCss = ":host{height:100%;width:100%;font-family:var(--dyte-font-family, sans-serif);display:flex;flex-direction:column;align-items:center;justify-content:center}.ctr{display:flex;flex-direction:column;align-items:center}dyte-logo{margin-bottom:var(--dyte-space-10, 40px);height:var(--dyte-space-12, 48px)}dyte-spinner{height:var(--dyte-space-12, 48px);width:var(--dyte-space-12, 48px);--tw-text-opacity:1;color:rgba(var(--dyte-colors-brand-500, 33 96 253) / var(--tw-text-opacity))}";

const DyteIdleScreen$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("slot", null, h("div", { class: "ctr" }, h("dyte-logo", { config: this.config }), h("dyte-spinner", { "aria-label": "Idle, waiting for meeting data" })))));
  }
  static get style() { return dyteIdleScreenCss; }
}, [1, "dyte-idle-screen", {
    "config": [16]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-idle-screen", "dyte-logo", "dyte-spinner"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-idle-screen":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteIdleScreen$1);
      }
      break;
    case "dyte-logo":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "dyte-spinner":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const DyteIdleScreen = DyteIdleScreen$1;
const defineCustomElement = defineCustomElement$1;

export { DyteIdleScreen, defineCustomElement };
