import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './dyte-tooltip2.js';

const dyteMeetingTitleCss = ":host{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;font-family:var(--dyte-font-family, sans-serif);font-size:16px}.title{text-align:center;overflow:hidden;display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:1}";

const DyteMeetingTitle$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.title = '';
  }
  connectedCallback() {
    this.meetingChanged(this.meeting);
  }
  meetingChanged(meeting) {
    if (meeting != null) {
      // update title
      this.title = meeting.meta.meetingTitle;
    }
  }
  render() {
    return (h(Host, { tabIndex: 0, role: "banner", "aria-label": this.title }, h("dyte-tooltip", { label: this.title }, h("div", { class: "title" }, this.title))));
  }
  static get watchers() { return {
    "meeting": ["meetingChanged"]
  }; }
  static get style() { return dyteMeetingTitleCss; }
}, [1, "dyte-meeting-title", {
    "meeting": [16],
    "title": [32]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-meeting-title", "dyte-tooltip"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-meeting-title":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteMeetingTitle$1);
      }
      break;
    case "dyte-tooltip":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const DyteMeetingTitle = DyteMeetingTitle$1;
const defineCustomElement = defineCustomElement$1;

export { DyteMeetingTitle, defineCustomElement };
