import { r as registerInstance, h, H as Host } from './index-da7bf46b.js';
import { f as formatName, s as shorten } from './string-739d5cc6.js';
import { u as useLanguage } from './index-a651ed73.js';

const dyteNameTagCss = ":host{display:inline-flex;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;align-items:center;padding-top:var(--dyte-space-1, 4px);padding-bottom:var(--dyte-space-1, 4px);padding-left:var(--dyte-space-1\\.5, 6px);padding-right:var(--dyte-space-1\\.5, 6px);font-size:14px;border-radius:var(--dyte-border-radius-sm, 4px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-700, 44 44 44) / var(--tw-bg-opacity));color:rgb(var(--dyte-colors-text-900, 255 255 255 / 0.88))}::slotted(dyte-audio-visualizer[slot='start']){margin-right:var(--dyte-space-1\\.5, 6px)}::slotted(dyte-audio-visualizer[slot='end']){margin-left:var(--dyte-space-1\\.5, 6px)}:host([size='sm']){font-size:14px}";

const DyteNameTag = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Maximum length of the name */
    this.maxLength = 20;
    /** Language */
    this.t = useLanguage();
  }
  render() {
    const name = formatName(this.peer.name);
    const isSelf = this.peer.id === this.meeting.self.id;
    return (h(Host, { class: { [this.size]: this.size !== undefined }, title: name }, h("slot", { name: "start" }), isSelf ? `${shorten(name, 13)} (${this.t('you')})` : shorten(name, 16), h("slot", { name: "end" })));
  }
};
DyteNameTag.style = dyteNameTagCss;

export { DyteNameTag as dyte_name_tag };
