import { Peer } from '../../types/dyte-client';
import { IconPack } from '../../lib/icons';
import { Size } from '../../types/props';
export declare type AudioVisualizerVariant = 'bars';
export declare class DyteAudioVisualizer {
  private visualizer;
  private hark;
  private audioUpdateListener;
  private screenShareUpdateListener;
  private previewUpdateListener;
  /** Variant */
  variant: AudioVisualizerVariant;
  /** Dyte Peer Object */
  peer: Peer;
  /** Size */
  size: Size;
  /** Icon Pack */
  iconPack: IconPack;
  /** Audio visualizer for screensharing, it will use screenShareTracks.audio instead of audioTrack */
  isScreenShare: boolean;
  /** Is preview */
  isPreview: boolean;
  audioEnabled: boolean;
  volume: number;
  connectedCallback(): void;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  peerChanged(peer: Peer): void;
  /**
   * Determines the volume from a given MediaStream and updates the components state
   * @param stream A MediaStream with AudioTrack(s) added
   */
  private calcVolume;
  render(): any;
}
