import { Size, States } from '../../types/props';
import { Meeting } from '../../types/dyte-client';
import { Language } from '../../lib/lang';
import { IconPack } from '../../lib/icons';
import { UIConfig } from '../../types/ui-config';
import { ImageMessage } from '@dyte-in/client-core/types/client/DyteChat';
export declare class DyteMeeting {
  private resizeObserver;
  private roomJoinedListener;
  private roomLeftListener;
  host: HTMLDyteMeetingElement;
  /** Meeting object */
  meeting: Meeting;
  /** Where to show setup screen or not */
  showSetupScreen: boolean;
  /** Language */
  language: Language;
  /** UI Config */
  config: UIConfig;
  /** Icon Pack URL */
  iconPackUrl: string;
  /** Size */
  size: Size;
  states: States;
  iconPack: IconPack;
  t: import("../../lib/lang").DyteI18n;
  image: ImageMessage;
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  iconPackUrlChanged(url: string): Promise<void>;
  languageChanged(lang: Language): Promise<void>;
  listenState(e: CustomEvent<States>): void;
  listenViewImage(e: CustomEvent<ImageMessage>): void;
  private initializePreferences;
  private handleResize;
  private setStates;
  render(): any;
}
