import { Meeting } from '../../types/dyte-client';
import { Size, Notification, States } from '../../types/props';
import { IconPack } from '../../lib/icons';
import { UIConfig } from '../../types/ui-config';
export declare class DyteNotifications {
  private audio;
  private notificationPermissions;
  private soundPermissions;
  private participantJoinedListener;
  private participantLeftListener;
  private chatUpdateListener;
  private deviceUpdateListener;
  private networkUpdateListener;
  host: HTMLDyteNotificationsElement;
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** Config object */
  config: UIConfig;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  notifications: Notification[];
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  configChanged(config: UIConfig): void;
  statesUpdate(states: States): void;
  private add;
  private remove;
  private handleDismiss;
  render(): any;
}
