import DyteSelf from '../client/DyteSelf';
import RoomNodeClient from '../roomNode/RoomNodeClient';
import { PresetTheme } from '../client/DyteThemePreset';
import { PresetPermissions } from '../client/DytePermissionsPreset';
import { Modules } from './Controller';
import LocalMediaHandler from '../media/LocalMediaHandler';
export interface UserPresetResponse {
    permissions: PresetPermissions;
    theme: PresetTheme;
    version: string;
    presetName: string;
}
export default class SelfController {
    #private;
    readonly self: DyteSelf;
    readonly authToken: string;
    readonly peerId: string;
    /**
     * Use await SelfController.init(roomNodeClient) instead
     */
    private constructor();
    static init(roomNodeClient: RoomNodeClient, options: {
        defaults: {
            video?: boolean;
            audio?: boolean;
        };
        modules?: Modules;
    }, localMediaHandler: LocalMediaHandler): Promise<SelfController>;
    shareMediaTracks(): Promise<[void, void]>;
    private setupEvents;
}
