import LocalMediaHandler from './LocalMediaHandler';
/**
 * NOTE(ravindra-dyte):
 * AudioData, VideoFrame, TransformStreamDefaultController types are not yet available in lib dom
 * TODO: replace any with proper types, once polyfills are ready
 */
export declare type AudioMiddleware = (() => (audioData: any, controller: any) => void);
export declare type VideoMiddleware = (() => (videoFrame: any, controller: any) => void);
export default class MediaMiddlewareUtils {
    #private;
    audioMiddlewares: AudioMiddleware[];
    videoMiddlewares: VideoMiddleware[];
    constructor(localMediaHandler: LocalMediaHandler);
    getTransformedVideoTrack(originalVideoTrack: MediaStreamTrack): MediaStreamTrack;
    addVideoMiddleware(videoMiddleware: VideoMiddleware): void;
    removeVideoMiddleware(videoMiddleware: VideoMiddleware): void;
    getTransformedAudioTrack(originalAudioTrack: MediaStreamTrack): MediaStreamTrack;
    addAudioMiddleware(audioMiddleware: AudioMiddleware): void;
    removeAudioMiddleware(audioMiddleware: AudioMiddleware): void;
}
